Update nicht möglich

Hier finden YaCy User Hilfe wenn was nicht funktioniert oder anders funktioniert als man dachte. Bei offensichtlichen Fehlern diese bitte gleich in die Bugs (http://bugs.yacy.net) eintragen.
Forumsregeln
In diesem Forum geht es um Benutzungsprobleme und Anfragen für Hilfe. Wird dabei ein Bug identifiziert, wird der thread zur Bearbeitung in die Bug-Sektion verschoben. Wer hier also einen Thread eingestellt hat und ihn vermisst, wird ihn sicherlich in der Bug-Sektion wiederfinden.

Update nicht möglich

Beitragvon dulcedo » So Sep 20, 2009 6:15 am

Wenn eine Version wie 6331 nur als .tar vorliegt läd er sie auf ConfigUpdate_p.html nicht herunter obwohl sie angeboten wird. SVN6330/debian
dulcedo
 
Beiträge: 1006
Registriert: Do Okt 16, 2008 6:36 pm
Wohnort: Bei Karlsruhe

Re: Update nicht möglich

Beitragvon Orbiter » So Sep 20, 2009 8:30 am

sciencenet hat aber beispielsweise das Update automatisch gezogen.
Warum liegt denn das Update nur als .tar vor, und wo?
Siehst du eine Fehlermeldung im Log?
Orbiter
 
Beiträge: 5792
Registriert: Di Jun 26, 2007 10:58 pm
Wohnort: Frankfurt am Main

Re: Update nicht möglich

Beitragvon Lotus » So Sep 20, 2009 10:38 am

Ich hatte gestern mit 6331 eine signature exception und habe einfach auf 6330 geupdated.
Er hat es runtergeladen aber dann verworfen. Beim nächsten Commit sehen wir ob es ein temporärer Fehler ist.
Lotus
 
Beiträge: 1699
Registriert: Mi Jun 27, 2007 3:33 pm
Wohnort: Hamburg

Re: Update nicht möglich

Beitragvon Orbiter » So Sep 20, 2009 11:37 am

an den signatures von f1ori kann ich nichts machen. Meine releases kommen momentan noch ohne, aber die sciencenet ziehen die trotzdem automatisch.
Orbiter
 
Beiträge: 5792
Registriert: Di Jun 26, 2007 10:58 pm
Wohnort: Frankfurt am Main

Re: Update nicht möglich

Beitragvon dulcedo » So Sep 20, 2009 12:08 pm

Das habe ich wohl in der Eile durcheinandergebracht, wegen .gz.
dulcedo
 
Beiträge: 1006
Registriert: Do Okt 16, 2008 6:36 pm
Wohnort: Bei Karlsruhe

Re: Update nicht möglich

Beitragvon dulcedo » Fr Sep 25, 2009 5:56 am

Passiert bei 6344 über ConfigUpdate_p.html wieder, man kann dann aber die jeweils vorherige installieren.
dulcedo
 
Beiträge: 1006
Registriert: Do Okt 16, 2008 6:36 pm
Wohnort: Bei Karlsruhe

Re: Update nicht möglich

Beitragvon dulcedo » Do Okt 01, 2009 6:31 am

Anderer Fehler beim update, ich erinnere mich an etwas ähnliches. Es könnte natürlich auch sein dass ein vorausgehender OOM hier den Speicher blockiert, will es hier aber dokumentieren. Update 6357 auf 6366, debian.

I 2009/10/01 07:27:39 UPDATE INITIATED
I 2009/10/01 07:27:39 UNTAR starting
D 2009/10/01 07:27:39 CRAWLER omitting de-queue/local: stack is empty
I 2009/10/01 07:27:40 UNTAR finished
E 2009/10/01 07:27:40 UPDATE update failed
java.io.IOException: Cannot run program "chmod": java.io.IOException: error=12, Cannot allocate memory
at java.lang.ProcessBuilder.start(ProcessBuilder.java:459)
at java.lang.Runtime.exec(Runtime.java:593)
at java.lang.Runtime.exec(Runtime.java:431)
at java.lang.Runtime.exec(Runtime.java:328)
at de.anomic.server.serverSystem.deployScript(serverSystem.java:363)
at de.anomic.yacy.yacyRelease.deployRelease(yacyRelease.java:562)
at Steering.respond(Steering.java:73)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
at java.lang.reflect.Method.invoke(Method.java:597)
at de.anomic.http.server.HTTPDFileHandler.invokeServlet(HTTPDFileHandler.java:1180)
at de.anomic.http.server.HTTPDFileHandler.doResponse(HTTPDFileHandler.java:758)
at de.anomic.http.server.HTTPDFileHandler.doGet(HTTPDFileHandler.java:247)
at de.anomic.http.server.HTTPDemon.GET(HTTPDemon.java:493)
at sun.reflect.GeneratedMethodAccessor10.invoke(Unknown Source)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
at java.lang.reflect.Method.invoke(Method.java:597)
at de.anomic.server.serverCore$Session.listen(serverCore.java:728)
at de.anomic.server.serverCore$Session.run(serverCore.java:619)
Caused by: java.io.IOException: java.io.IOException: error=12, Cannot allocate memory
at java.lang.UNIXProcess.<init>(UNIXProcess.java:148)
at java.lang.ProcessImpl.start(ProcessImpl.java:65)
at java.lang.ProcessBuilder.start(ProcessBuilder.java:452)
... 19 more

dulcedo
 
Beiträge: 1006
Registriert: Do Okt 16, 2008 6:36 pm
Wohnort: Bei Karlsruhe

Re: Update nicht möglich

Beitragvon Lotus » Fr Okt 02, 2009 4:06 pm

dulcedo hat geschrieben:java.io.IOException: Cannot run program "chmod": java.io.IOException: error=12, Cannot allocate memory

Ich vermute das hier:
viewtopic.php?p=15182#p15182
Lotus
 
Beiträge: 1699
Registriert: Mi Jun 27, 2007 3:33 pm
Wohnort: Hamburg

Re: Update nicht möglich

Beitragvon dulcedo » Do Nov 05, 2009 1:34 pm

6455 hat wieder einen signature-error
dulcedo
 
Beiträge: 1006
Registriert: Do Okt 16, 2008 6:36 pm
Wohnort: Bei Karlsruhe

Re: Update nicht möglich

Beitragvon Orbiter » Do Nov 05, 2009 3:57 pm

ähm, weil ich das wieder mal ohne hoch geladen habe.
Florians update-Server liefert da auch was merkwürdiges, folgenden Link: https://latestyacy.f1ori.de/builds/debian/*.deb
Orbiter
 
Beiträge: 5792
Registriert: Di Jun 26, 2007 10:58 pm
Wohnort: Frankfurt am Main


Zurück zu Fragen und Antworten

Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder und 1 Gast